"use strict";
/**
 * Starts an express-server on `localhost` that serves the client-web app on the port specified in
 * the environment variables or 3000 (default)
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const configuration_lib_1 = require("./infra-comp-utils/configuration-lib");
const sls_libs_1 = require("./infra-comp-utils/sls-libs");
const infrastructure_components_1 = require("infrastructure-components");
/**
 * uses the current serverless.yml (created by previous build!) to deploy the stack
 *
 * @param configFilePath
 */
function domain(configFilePath, stage) {
    return __awaiter(this, void 0, void 0, function* () {
        const path = require('path');
        // load and parse the configuration from the temporary folder
        const parsedConfig = yield configuration_lib_1.parseConfiguration(configFilePath, stage, infrastructure_components_1.PARSER_MODES.MODE_DOMAIN);
        // (re-)create the serverless.yml
        sls_libs_1.createSlsYaml(parsedConfig.slsConfigs, true);
        // start the sls-config
        // DONE in the respective plugins, initDomain only for IsomorphicApps
        // await initDomain(parsedConfig.stackName);
        yield require('infrastructure-components').fetchData("domain", {
            stackname: parsedConfig.stackName,
            envi: stage,
            domain: parsedConfig.domain
        });
        console.log(`running ${parsedConfig.postBuilds.length} postscripts...`);
        // now run the post-build functions
        yield Promise.all(parsedConfig.postBuilds.map((postBuild) => __awaiter(this, void 0, void 0, function* () { return yield postBuild(); })));
    });
}
exports.domain = domain;
;
//# sourceMappingURL=domain.js.map